clc
clear all
close all

syms phi theta psi real %euler angles

R_x = [1    0       0; ...
       0  cos(phi) -sin(phi); ...
       0  sin(phi) cos(phi)];
   
R_y = [cos(theta)  0   sin(theta); ...
       0           1         0; ...
      -sin(theta) 0   cos(theta)]; 
   
R_z = [cos(psi) -sin(psi)  0; ...
       sin(psi)  cos(psi)  0; ...
       0           0       1]; 
   
R = R_z*R_y*R_x

%%%%%%%% Finding angles from R matrix %%%%
%theta=asin(-R(3,1))
%phi=asin(R(3,2)/cos(theta))
%psi=asin(R(2,1)/cos(theta))
   